xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ResizeScreen

Contents

- Usage:

Description

A layout transformer to have a layout respect a given screen geometry. Mostly used with Decoration (the Horizontal and the Vertical version will react to SetTheme and change their dimension accordingly.

Synopsis

- resizeHorizontal :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeVertical :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeHorizontalRight :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeVerticalBottom :: Int -> l a -> ModifiedLayout ResizeScreen l a
- withNewRectangle :: Rectangle -> l a -> ModifiedLayout ResizeScreen l a
- data ResizeScreen a
  - = ResizeScreen ResizeMode Int
  - | WithNewScreen Rectangle
- data ResizeMode

# Usage:

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

    import XMonad.Layout.ResizeScreen

and modifying your layoutHook as follows (for example):

    layoutHook = resizeHorizontal 40 Full

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

resizeHorizontal :: Int -> l a -> ModifiedLayout ResizeScreen l a Source

resizeVertical :: Int -> l a -> ModifiedLayout ResizeScreen l a Source

resizeHorizontalRight :: Int -> l a -> ModifiedLayout ResizeScreen l a Source

resizeVerticalBottom :: Int -> l a -> ModifiedLayout ResizeScreen l a Source

withNewRectangle :: Rectangle -> l a -> ModifiedLayout ResizeScreen l a Source

data ResizeScreen a Source

Constructors

ResizeScreen ResizeMode Int |
WithNewScreen Rectangle |

Instances

LayoutModifier ResizeScreen a Source |
Read (ResizeScreen a) Source |
Show (ResizeScreen a) Source |

data ResizeMode Source

Instances

Read ResizeMode Source |
Show ResizeMode Source |